public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-desktop/
Date: Mon, 19 Jul 2021 02:49:13 +0000 (UTC)	[thread overview]
Message-ID: <1626662941.0636f2e1f844c23783520b99eadc3e6c3dbf0127.mattst88@gentoo> (raw)

commit:     0636f2e1f844c23783520b99eadc3e6c3dbf0127
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 19 02:21:15 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Jul 19 02:49:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0636f2e1

gnome-base/gnome-desktop: Version bump to 40.3

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-base/gnome-desktop/Manifest                  |  1 +
 gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/gnome-base/gnome-desktop/Manifest b/gnome-base/gnome-desktop/Manifest
index 2a0f45ca462..c7ab0e8746a 100644
--- a/gnome-base/gnome-desktop/Manifest
+++ b/gnome-base/gnome-desktop/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-desktop-40.1.tar.xz 721416 BLAKE2B de1432a9ee61fa0545ce09c1228a133555d732ea58b9550a1f218726342d4c4e1c9d30f402b62a6a370cd281302c47f820f8bccbd69f8b8651f77e4b0e8d4f66 SHA512 ff9da5d0c805a7d42339a9174b907dd0cc4845c8eeb5a004a13f001dbe449f28a6360ed9dc1951376be4a48271908990052ca0e8d6e4339214cafcb80d204b57
 DIST gnome-desktop-40.2.tar.xz 721852 BLAKE2B a7258d0465b17c5c9c78a066acd72571c002054f196d847e07b10055b1d72900d6efc80ac623f118ff11a87a4d5042ac9902f7f3f9d5a181ad3d80429cf9f904 SHA512 2fd3ba5eb0263aecc43978d84070619c16af4de998b344bc2aaac16aa0e734d93235aa218c2684ad993b471136434b97dffae52f183798daaa4ec47574cc51b3
+DIST gnome-desktop-40.3.tar.xz 721788 BLAKE2B bfdb77995d8cb392805a9d4a7a1276608aa53ea7c73604b12817c1660176c4e0274ba6954523cd0bec067230520c2736ed77885726696e463c97d09992186243 SHA512 96f2069ec3eb1bd1f6c2056c73d268eed5521398818cc05c22cdedfd1c09805fe5abc7f450abc7752690e809f3bdca502dfc107564236bbb03e262531418804f

diff --git a/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild b/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild
new file mode 100644
index 00000000000..b42b6b81c1b
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson xdg
+
+DESCRIPTION="Library with common API for various GNOME modules"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
+SLOT="3/19" # subslot = libgnome-desktop-3 soname version
+IUSE="debug gtk-doc +introspection seccomp systemd udev"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+	>=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
+	>=x11-libs/gtk+-3.3.6:3[X,introspection?]
+	>=dev-libs/glib-2.53.0:2
+	>=gnome-base/gsettings-desktop-schemas-3.27.0[introspection?]
+	x11-misc/xkeyboard-config
+	x11-libs/libxkbcommon
+	app-text/iso-codes
+	systemd? ( sys-apps/systemd:= )
+	udev? (
+		sys-apps/hwids
+		virtual/libudev:= )
+	seccomp? ( sys-libs/libseccomp )
+
+	x11-libs/cairo:=
+	introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${COMMON_DEPEND}
+	media-libs/fontconfig
+"
+RDEPEND="${COMMON_DEPEND}
+	seccomp? ( sys-apps/bubblewrap )
+"
+BDEPEND="
+	app-text/docbook-xml-dtd:4.1.2
+	dev-util/gdbus-codegen
+	gtk-doc? ( >=dev-util/gtk-doc-1.14 )
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	x11-base/xorg-proto
+	virtual/pkgconfig
+"
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xorg-proto
+
+PATCHES=(
+	"${FILESDIR}"/3.32.2-optional-introspection.patch # add introspection meson option
+)
+
+src_prepare() {
+	# Don't build manual test programs that will never get run
+	sed -i -e "/'test-.*'/d" libgnome-desktop/meson.build || die
+	xdg_src_prepare
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dgnome_distributor=Gentoo
+		-Ddate_in_gnome_version=true
+		-Ddesktop_docs=true
+		$(meson_use debug debug_tools)
+		$(meson_use introspection)
+		$(meson_feature udev)
+		$(meson_feature systemd)
+		$(meson_use gtk-doc gtk_doc)
+		-Dinstalled_tests=false
+	)
+	meson_src_configure
+}


             reply	other threads:[~2021-07-19  2:49 UTC|newest]

Thread overview: 118+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-19  2:49 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-28 15:44 [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-desktop/ Pacho Ramos
2023-06-09  3:01 Matt Turner
2023-05-02 20:07 Arthur Zamarin
2023-05-02 19:50 Arthur Zamarin
2023-05-02 17:50 Arthur Zamarin
2023-05-02 17:49 Arthur Zamarin
2023-05-02 17:35 Sam James
2023-05-02 17:33 Arthur Zamarin
2023-03-19 23:38 Matt Turner
2023-02-17  8:23 Arthur Zamarin
2023-02-17  8:23 Arthur Zamarin
2023-02-15 17:42 Matt Turner
2023-01-21 19:56 Matt Turner
2022-12-19 16:15 Andreas K. Hüttel
2022-10-30 16:34 Matt Turner
2022-09-30 17:18 Matt Turner
2022-09-12 16:01 Sam James
2022-09-12 16:01 Sam James
2022-09-12 16:00 Sam James
2022-09-12 16:00 Sam James
2022-08-11 11:13 Sam James
2022-08-08 15:01 Matt Turner
2022-07-29  2:59 Sam James
2022-07-29  2:59 Sam James
2022-07-16 21:28 Matt Turner
2022-06-16 16:30 Sam James
2022-06-02 15:54 Matt Turner
2022-05-26  3:57 WANG Xuerui
2022-05-15  3:10 Sam James
2022-05-10  4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-04-28 15:31 Matt Turner
2022-04-18 20:48 Jakov Smolić
2022-03-27  0:00 Matt Turner
2022-01-13 22:34 Matt Turner
2022-01-11 20:42 Mart Raudsepp
2022-01-11 20:42 Mart Raudsepp
2021-12-19  4:53 Matt Turner
2021-12-11 18:50 Mart Raudsepp
2021-12-11 18:50 Mart Raudsepp
2021-12-07 20:29 Sam James
2021-11-28 20:08 Mike Gilbert
2021-11-10 21:53 Mart Raudsepp
2021-11-06  4:09 Sam James
2021-10-04  1:25 Sam James
2021-10-04  1:24 Sam James
2021-08-24 12:15 Marek Szuba
2021-08-20 23:51 Sam James
2021-08-19 18:01 Matt Turner
2021-07-11 20:48 Sam James
2021-06-09 22:44 Matt Turner
2021-05-03 16:24 Matt Turner
2021-04-16  2:16 Matt Turner
2021-04-15 16:08 Matt Turner
2021-04-15 16:08 Matt Turner
2021-04-15 15:36 Matt Turner
2021-04-15  5:25 Sam James
2021-04-15  1:33 Sam James
2021-04-14 18:51 Mikle Kolyada
2021-04-12 23:11 Sam James
2021-03-21  0:33 Matt Turner
2021-01-09 10:22 Mart Raudsepp
2021-01-09 10:22 Mart Raudsepp
2020-12-18 12:43 Mart Raudsepp
2020-12-18 12:43 Mart Raudsepp
2020-12-18 12:43 Mart Raudsepp
2020-12-05 18:49 Matt Turner
2020-11-16 14:06 Matt Turner
2020-10-11 21:27 Mart Raudsepp
2020-08-30 18:28 Sam James
2020-08-14  8:23 Mart Raudsepp
2020-07-12 21:32 Mart Raudsepp
2020-07-04 15:07 Mart Raudsepp
2020-06-29 15:42 Mikle Kolyada
2020-06-28 14:19 Thomas Deutschmann
2020-06-26 21:16 Mart Raudsepp
2020-06-13 15:24 Mart Raudsepp
2020-06-07 21:02 Mart Raudsepp
2020-05-01 12:48 Mart Raudsepp
2020-04-04 13:05 Mart Raudsepp
2020-03-20 21:53 Matt Turner
2020-03-01 16:18 Mart Raudsepp
2019-12-23 21:26 Mart Raudsepp
2019-12-09  0:10 Aaron Bauman
2019-11-29  8:17 Michał Górny
2019-09-19 20:16 Mart Raudsepp
2019-08-31 14:06 Mart Raudsepp
2019-08-26 15:00 Agostino Sarubbo
2019-08-26 12:56 Agostino Sarubbo
2019-08-25 12:31 Mart Raudsepp
2019-08-24 23:48 Aaron Bauman
2019-08-23 20:27 Mart Raudsepp
2019-05-23  6:39 Aaron Bauman
2019-05-18 23:05 Mart Raudsepp
2019-04-11  1:46 Aaron Bauman
2019-02-23  9:46 Mart Raudsepp
2019-02-17 15:56 Mikle Kolyada
2018-12-29 19:39 Thomas Deutschmann
2018-12-19 22:27 Sergei Trofimovich
2018-12-16 11:40 Sergei Trofimovich
2018-12-15 21:16 Mart Raudsepp
2018-12-14 21:36 Mart Raudsepp
2018-02-03 20:56 Mart Raudsepp
2018-01-27  0:41 Thomas Deutschmann
2018-01-18  3:15 Mikle Kolyada
2017-07-07  7:11 Alexis Ballier
2017-06-26 19:05 Alexis Ballier
2017-05-20 10:39 Mart Raudsepp
2017-03-08 12:11 Mart Raudsepp
2016-12-30  2:27 Mart Raudsepp
2016-11-11 12:47 Gilles Dartiguelongue
2016-11-01 11:18 Gilles Dartiguelongue
2016-11-01 11:18 Gilles Dartiguelongue
2016-03-06 17:23 Mikle Kolyada
2016-01-03 14:54 Gilles Dartiguelongue
2015-11-14 13:48 Pacho Ramos
2015-11-14 13:48 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1626662941.0636f2e1f844c23783520b99eadc3e6c3dbf0127.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox